Retorna informações de contratos LoRaWAN filtrados pelo nome
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/lorawan/broker/contract \
--header 'Content-Type: <content-type>' \
--header 'client_id: <client_id>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/lorawan/broker/contract"
headers = {
"Content-Type": "<content-type>",
"client_id": "<client_id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', client_id: '<client_id>'}
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/lorawan/broker/contract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 607,
"customer": {
"id": 17961,
"name": "Teste Faturamento MVNO"
},
"planDesc": "API_TESTE_EXTERNAL_ID",
"status": "ACTIVE",
"uplinkCount": 100,
"downlinkCount": 100,
"activationPrice": "4",
"excessUplinkPrice": "15",
"excessDownlinkPrice": "10",
"loyaltyType": null,
"loyaltyTime": null,
"penalty": null,
"externalId": "17961",
"createdAt": "2025-10-01T15:04:54",
"createdBy": "thiago.moreira@eticasolucoes.com.br",
"sharingType": 1,
"monthlyFee": "2",
"nbVirtualAccounts": 0
}
]{
"errors": "Parameter not found"
}{
"errors": "Falha de autenticação (token inválido ou ausente)."
}{
"errors": "Erro interno do servidor."
}Lorawan
API para Consulta de Contratos LoRaWAN
Retorna informações de contratos LoRaWAN filtrados pelo nome
GET
/
lorawan
/
broker
/
contract
Retorna informações de contratos LoRaWAN filtrados pelo nome
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
Example:
"application/json"
Identificador do client id do sensedia
Example:
"client_id"
Token gerado
Example:
"access_token"
Query Parameters
Nome do contrato (planDesc) para filtro.
Example:
"API_TESTE_EXTERNAL_ID"
Identificador do cliente
Example:
"5464646"
Identificador externo
Example:
"5464646"
Número da página para paginação.
Example:
0
Tamanho da página para paginação.
Example:
24
Response
Lista de contratos retornada com sucesso.

